package org.odk.collect.android.adapters;
/*
 * Copyright (c) 2015 Diona Ltd.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of Diona
 * ("Confidential Information"). You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms of the license agreement you
 * entered into with Diona.
 */

/**
 * A drawing mode.
 */
class DrawModeItem {

  private String key;
  private String label;
  private int imageResID;

  /**
   * @param key
   *     the draw mode key.
   * @param label
   *     the label to be displayed in the list.
   * @param imageResID
   *     the resource ID for the drawable to be displayed with this item (ignored if 0).
   */
  DrawModeItem(final String key, final String label, final int imageResID) {
    this.key = key;
    this.label = label;
    this.imageResID = imageResID;
  }

  /**
   * @return the draw mode key.
   */
  public String getKey() {
    return key;
  }

  /**
   * @return the label to be displayed in the list.
   */
  public String getLabel() {
    return label;
  }

  /**
   * @return the resource ID for the drawable to be displayed with this item (ignored if 0).
   */
  int getImageResID() {
    return imageResID;
  }
}
